<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/*

Registros por dia

*/
	// se crea la fecha en segundos
	$st_fecha_hoy = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
	
	// la ultima fecha
	$q_st = myquery("SELECT * FROM ".ESTAD_DIA." ORDER BY stID DESC limit 0, 1","[xtras_stats=1]");
	$rowf_st = myfetch($q_st);
	
	// si la ultima fecha coincide con la fecha de hoy se actualiza
	if ($rowf_st["fecha"] == $st_fecha_hoy)
	{

		myquery("UPDATE ".ESTAD_DIA." SET dia_impresiones=dia_impresiones+1 WHERE fecha='".$st_fecha_hoy."'","[xtras_stats=2]");
		myquery("UPDATE ".ESTAD_DIA." SET dia_hits=TRUNCATE(dia_impresiones/dia_sesiones,2) WHERE fecha='".$st_fecha_hoy."'","[xtras_stats=3]");

	} else {
		
		// si la fecha ha cambiado se inserta un nuevo dia
		myquery("INSERT INTO ".ESTAD_DIA." (dia_impresiones,dia_sesiones,dia_hits,fecha) VALUES (1,1,1,'".$st_fecha_hoy."')","[xtras_stats=4]");
	
	}

/*

FIN de Registros por dia

*/

/*

Registros por mes

*/
	// se crea la fecha en formato DD/AAAA
	$st_fecha_mes = date("m")."/".date("Y");
	
	// la ultima fecha
	$q_st = myquery("SELECT * FROM ".ESTAD_MES." ORDER BY stID DESC limit 0, 1","[xtras_stats=5]");
	$rowf_st = myfetch($q_st);
	
	// si la ultima fecha coincide con la fecha de hoy se actualiza
	if ($rowf_st["fecha"] == $st_fecha_mes)
	{
	
		myquery("UPDATE ".ESTAD_MES." SET mes_impresiones=mes_impresiones+1 WHERE fecha='".$st_fecha_mes."'","[xtras_stats=6]");
		myquery("UPDATE ".ESTAD_MES." SET mes_hits=TRUNCATE(mes_impresiones/mes_sesiones,2) WHERE fecha='".$st_fecha_mes."'","[xtras_stats=7]");
	
	} else {
		
		// si la fecha ha cambiado se inserta un nuevo mes
		myquery("INSERT INTO ".ESTAD_MES." (mes_impresiones,mes_sesiones,mes_hits,fecha) VALUES (1,1,1,'".$st_fecha_mes."')","[xtras_stats=8]");
	
	}

/*

FIN de Registros por mes

*/

/*

Registros totales

*/

	// totales
	$q_st = myquery("SELECT * FROM ".ESTAD,"[xtras_stats=9]");
	$rowf_st = mynumrows($q_st);
	
	// si hay registros totales
	if ($rowf_st)
	{
		myquery("UPDATE ".ESTAD." SET impresiones=impresiones+1","[xtras_stats=10]");
		myquery("UPDATE ".ESTAD." SET hits=TRUNCATE(impresiones/sesiones,2)","[xtras_stats=11]");
	
	} else {
		
		// si se inician las estadisticas
		myquery("INSERT INTO ".ESTAD." (impresiones,sesiones,hits) VALUES (1,1,1)","[xtras_stats=12]");
	
	}

/*

FIN de registros totales

*/

/*

Registros de sesiones

*/

	if (!isset($_SESSION["usuario"]))
	{
		myquery("UPDATE ".ESTAD_DIA." SET dia_sesiones=dia_sesiones+1 WHERE fecha='".$st_fecha_hoy."'","[xtras_stats=13]");
		myquery("UPDATE ".ESTAD_MES." SET mes_sesiones=mes_sesiones+1 WHERE fecha='".$st_fecha_mes."'","[xtras_stats=14]");
		myquery("UPDATE ".ESTAD." SET sesiones=sesiones+1","[xtras_stats=15]");
	}
	$_SESSION["usuario"] = 1;


/*

FIN de Registros de sesiones

*/


?>